%define upstream_name    Data-Record
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    "split" on steroids
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Uplevel)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
Sometimes we need data split into records and a simple split on the input
record separator ('$/') or some other value fails because the values we're
splitting on may allowed in other parts of the data. Perhaps they're
quoted. Perhaps they're embedded in other data which should not be split
up.

This module allows you to specify what you wish to split the data on, but
also speficy an "unless" regular expression. If the text in question
matches the "unless" regex, it will not be split there. This allows us to
do things like split on newlines unless newlines are embedded in quotes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 522815
- Mageia 4 Mass Rebuild

* Thu Mar 28 2013 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 406009
- imported package perl-Data-Record


* Thu Mar 28 2013 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
